"use strict";
var core_1 = require("./core");
var RadialMenuItemInputs = core_1.Utils.AngularizeInputs(['imageUrl', 'text', 'enabled', 'click', 'badge',
    'badge.enabled', 'badge.value', 'type', 'sliderSettings', 'sliderSettings.ticks',
    'sliderSettings.strokeWidth', 'sliderSettings.labelSpace', 'items'], []);
exports.RadialMenuItemDirective = core_1.CreateComplexDirective({
    selector: 'e-items>e-item',
    inputs: RadialMenuItemInputs,
    queries: {}
}, {
    tags: [],
    complexes: ['badge', 'sliderSettings'],
    type: core_1.forwardRef(function () { return exports.RadialMenuComponent; })
});
exports.RadialMenuItemsDirective = core_1.CreateArrayTagDirective('items', 'ej-radialmenu>e-items', exports.RadialMenuItemDirective);
var Outputs = ['click', 'open', 'close'
];
var ComplexProperties = [];
var Inputs = core_1.Utils.AngularizeInputs(['autoOpen', 'backImageClass', 'cssClass', 'enableAnimation', 'imageClass',
    'radius', 'targetElementId', 'position', 'items'], []);
exports.RadialMenuComponent = core_1.CreateComponent('RadialMenu', {
    selector: 'ej-radialmenu',
    inputs: Inputs,
    outputs: Outputs,
    template: '',
    queries: {
        _items: new core_1.ContentChild(exports.RadialMenuItemsDirective),
    }
}, {
    tags: ['items'],
    twoways: [],
    complexes: ComplexProperties,
});
exports.EJ_RADIALMENU_COMPONENTS = [exports.RadialMenuComponent, exports.RadialMenuItemsDirective, exports.RadialMenuItemDirective];
//# sourceMappingURL=radialmenu.component.js.map