"use strict";
var core_1 = require("./core");
var RibbonPageInputs = core_1.Utils.AngularizeInputs(['id', 'text', 'itemType', 'contentID', 'enableSeparator'], []);
exports.RibbonPageDirective = core_1.CreateComplexDirective({
    selector: 'e-applicationtab-backstagesettings-pages>e-page',
    inputs: RibbonPageInputs,
    queries: {}
}, {
    tags: [],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.RibbonComponent; })
});
exports.RibbonApplicationTabBackstageSettingsPagesDirective = core_1.CreateArrayTagDirective('applicationTab.backstageSettings.pages', 'ej-ribbon>e-applicationtab-backstagesettings-pages', exports.RibbonPageDirective);
var RibbonContentGroupInputs = core_1.Utils.AngularizeInputs(['isMobileOnly', 'buttonSettings', 'columns', 'contentID', 'cssClass',
    'customGalleryItems', 'customToolTip', 'customToolTip.content', 'customToolTip.prefixIcon', 'customToolTip.title',
    'dropdownSettings', 'enableSeparator', 'expandedColumns', 'galleryItems', 'id',
    'isBig', 'itemHeight', 'itemWidth', 'splitButtonSettings', 'text',
    'toggleButtonSettings', 'toolTip', 'quickAccessMode', 'type'], []);
exports.RibbonContentGroupDirective = core_1.CreateComplexDirective({
    selector: 'e-contentgroups>e-contentgroup',
    inputs: RibbonContentGroupInputs,
    queries: {}
}, {
    tags: [],
    complexes: ['customToolTip'],
    type: core_1.forwardRef(function () { return exports.RibbonComponent; })
});
exports.RibbonContentGroupsDirective = core_1.CreateArrayTagDirective('groups', 'e-content>e-contentgroups', exports.RibbonContentGroupDirective);
var RibbonContentInputs = core_1.Utils.AngularizeInputs(['defaults', 'defaults.height', 'defaults.width', 'defaults.type', 'defaults.isBig',
    'groups'], []);
exports.RibbonContentDirective = core_1.CreateComplexDirective({
    selector: 'e-contents>e-content',
    inputs: RibbonContentInputs,
    queries: {
        _groups: new core_1.ContentChild(exports.RibbonContentGroupsDirective),
    }
}, {
    tags: ['groups'],
    complexes: ['defaults'],
    type: core_1.forwardRef(function () { return exports.RibbonComponent; })
});
exports.RibbonContentsDirective = core_1.CreateArrayTagDirective('content', 'e-groups>e-contents', exports.RibbonContentDirective);
var RibbonGroupInputs = core_1.Utils.AngularizeInputs(['alignType', 'content', 'contentID', 'customContent', 'enableGroupExpander',
    'groupExpanderSettings', 'groupExpanderSettings.toolTip', 'groupExpanderSettings.customToolTip', 'text', 'type'], []);
exports.RibbonGroupDirective = core_1.CreateComplexDirective({
    selector: 'e-groups>e-group',
    inputs: RibbonGroupInputs,
    queries: {
        _content: new core_1.ContentChild(exports.RibbonContentsDirective),
    }
}, {
    tags: ['content'],
    complexes: ['groupExpanderSettings'],
    type: core_1.forwardRef(function () { return exports.RibbonComponent; })
});
exports.RibbonGroupsDirective = core_1.CreateArrayTagDirective('groups', 'e-tabs>e-groups', exports.RibbonGroupDirective);
var RibbonTabInputs = core_1.Utils.AngularizeInputs(['groups', 'id', 'text'], []);
exports.RibbonTabDirective = core_1.CreateComplexDirective({
    selector: 'e-tabs>e-tab',
    inputs: RibbonTabInputs,
    queries: {
        _groups: new core_1.ContentChild(exports.RibbonGroupsDirective),
    }
}, {
    tags: ['groups'],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.RibbonComponent; })
});
exports.RibbonTabsDirective = core_1.CreateArrayTagDirective('tabs', 'ej-ribbon>e-tabs', exports.RibbonTabDirective);
var Outputs = ['beforeTabRemove', 'create', 'destroy', 'groupClick', 'groupExpand',
    'galleryItemClick', 'backstageItemClick', 'collapse', 'expand', 'load',
    'tabAdd', 'tabClick', 'tabCreate', 'tabRemove', 'tabSelect',
    'toggleButtonClick', 'qatMenuItemClick'
];
var ComplexProperties = ['collapsePinSettings', 'expandPinSettings', 'applicationTab', 'applicationTab.backstageSettings'];
var Inputs = core_1.Utils.AngularizeInputs(['allowResizing', 'isResponsive', 'buttonDefaults', 'showQAT', 'collapsePinSettings',
    'enableOnDemand', 'collapsible', 'enableRTL', 'expandPinSettings', 'applicationTab',
    'disabledItemIndex', 'enabledItemIndex', 'selectedItemIndex', 'locale', 'width',
    'collapsePinSettings.toolTip', 'collapsePinSettings.customToolTip', 'expandPinSettings.toolTip', 'expandPinSettings.customToolTip', 'applicationTab.backstageSettings',
    'applicationTab.backstageSettings.text', 'applicationTab.backstageSettings.height', 'applicationTab.backstageSettings.width', 'applicationTab.backstageSettings.headerWidth', 'applicationTab.menuItemID',
    'applicationTab.menuSettings', 'applicationTab.type', 'contextualTabs', 'tabs', 'applicationTab.backstageSettings.pages',
    'tabs.groups.content', 'tabs.groups.content.groups.customGalleryItems', 'tabs.groups.content.groups.galleryItems'], []);
exports.RibbonComponent = core_1.CreateComponent('Ribbon', {
    selector: 'ej-ribbon',
    inputs: Inputs,
    outputs: Outputs,
    template: '',
    queries: {
        _applicationTab_backstageSettings_pages: new core_1.ContentChild(exports.RibbonApplicationTabBackstageSettingsPagesDirective),
        _tabs: new core_1.ContentChild(exports.RibbonTabsDirective),
    }
}, {
    tags: ['applicationTab.backstageSettings.pages', 'tabs'],
    twoways: [],
    complexes: ComplexProperties,
});
exports.EJ_RIBBON_COMPONENTS = [exports.RibbonComponent, exports.RibbonApplicationTabBackstageSettingsPagesDirective, exports.RibbonContentGroupsDirective, exports.RibbonContentsDirective, exports.RibbonGroupsDirective, exports.RibbonTabsDirective, exports.RibbonPageDirective, exports.RibbonContentGroupDirective, exports.RibbonContentDirective, exports.RibbonGroupDirective, exports.RibbonTabDirective];
//# sourceMappingURL=ribbon.component.js.map