"use strict";
var core_1 = require("./core");
var Outputs = ['change', 'create', 'contextMenuClick', 'destroy', 'execute',
    'keydown', 'keyup', 'preRender', 'select',
    'model.valueChange: valueChange'];
var ComplexProperties = ['exportToPdfSettings', 'exportToWordSettings', 'fileBrowser', 'imageBrowser', 'importSettings',
    'tools'];
var Inputs = core_1.Utils.AngularizeInputs(['allowEditing', 'allowKeyboardNavigation', 'autoFocus', 'autoHeight', 'colorCode',
    'colorPaletteColumns', 'colorPaletteRows', 'cssClass', 'enabled', 'enableHtmlEncode',
    'enablePersistence', 'enableResize', 'enableRTL', 'enableXHTML', 'enableTabKeyNavigation',
    'exportToPdfSettings', 'exportToWordSettings', 'externalCSS', 'fileBrowser', 'fontName',
    'fontSize', 'format', 'height', 'htmlAttributes', 'iframeAttributes',
    'imageBrowser', 'importSettings', 'isResponsive', 'locale', 'maxHeight',
    'maxLength', 'maxWidth', 'minHeight', 'minWidth', 'name',
    'showClearAll', 'showClearFormat', 'showCustomTable', 'showContextMenu', 'showDimensions',
    'showFontOption', 'showFooter', 'showHtmlSource', 'showHtmlTagInfo', 'showToolbar',
    'showCharCount', 'showRoundedCorner', 'showWordCount', 'tableColumns', 'tableRows',
    'tools', 'toolsList', 'tooltipSettings', 'undoStackLimit', 'validationRules',
    'validationMessage', 'width', 'zoomStep', 'exportToPdfSettings.url', 'exportToPdfSettings.fileName',
    'exportToWordSettings.url', 'exportToWordSettings.fileName', 'fileBrowser.ajaxAction', 'fileBrowser.extensionAllow', 'fileBrowser.filePath',
    'imageBrowser.ajaxAction', 'imageBrowser.extensionAllow', 'imageBrowser.filePath', 'importSettings.url', 'tools.alignment',
    'tools.casing', 'tools.clear', 'tools.clipboard', 'tools.edit', 'tools.doAction',
    'tools.effects', 'tools.font', 'tools.formatStyle', 'tools.images', 'tools.indenting',
    'tools.links', 'tools.lists', 'tools.media', 'tools.style', 'tools.tables',
    'tools.view', 'tools.print', 'tools.importExport', 'tools.customOrderedList', 'tools.customUnorderedList'], ['value']);
exports.RTEComponent = core_1.CreateComponent('RTE', {
    selector: '[ej-rte]',
    inputs: Inputs,
    outputs: Outputs,
    template: '',
    queries: {}
}, {
    tags: [],
    twoways: ['value'],
    complexes: ComplexProperties,
});
exports.RTEValueAccessor = core_1.CreateControlValueAccessor('[ej-rte]', exports.RTEComponent);
exports.EJ_RTE_COMPONENTS = [exports.RTEComponent, exports.RTEValueAccessor];
//# sourceMappingURL=rte.component.js.map