"use strict";
var core_1 = require("./core");
var SpreadsheetRangeSettingInputs = core_1.Utils.AngularizeInputs(['dataSource', 'headerStyles', 'primaryKey', 'query', 'showHeader',
    'startCell'], []);
exports.SpreadsheetRangeSettingDirective = core_1.CreateComplexDirective({
    selector: 'e-rangesettings>e-rangesetting',
    inputs: SpreadsheetRangeSettingInputs,
    queries: {}
}, {
    tags: [],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.SpreadsheetComponent; })
});
exports.SpreadsheetRangeSettingsDirective = core_1.CreateArrayTagDirective('rangeSettings', 'e-sheets>e-rangesettings', exports.SpreadsheetRangeSettingDirective);
var SpreadsheetSheetInputs = core_1.Utils.AngularizeInputs(['border', 'cellTypes', 'cFormatRule', 'colCount', 'columnWidth',
    'dataSource', 'fieldAsColumnHeader', 'headerStyles', 'hideColumns', 'hideRows',
    'mergeCells', 'primaryKey', 'query', 'rangeSettings', 'rowCount',
    'rows', 'showGridlines', 'showHeader', 'showHeadings', 'startCell'], []);
exports.SpreadsheetSheetDirective = core_1.CreateComplexDirective({
    selector: 'e-sheets>e-sheet',
    inputs: SpreadsheetSheetInputs,
    queries: {
        _rangeSettings: new core_1.ContentChild(exports.SpreadsheetRangeSettingsDirective),
    }
}, {
    tags: ['rangeSettings'],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.SpreadsheetComponent; })
});
exports.SpreadsheetSheetsDirective = core_1.CreateArrayTagDirective('sheets', 'ej-spreadsheet>e-sheets', exports.SpreadsheetSheetDirective);
var Outputs = ['actionBegin', 'actionComplete', 'autoFillBegin', 'autoFillComplete', 'beforeBatchSave',
    'beforeCellFormat', 'beforeCellSelect', 'beforeDrop', 'beforeEditComment', 'beforeOpen',
    'beforePanelOpen', 'cellClick', 'cellEdit', 'cellFormatting', 'cellHover',
    'cellSave', 'cellSelected', 'contextMenuClick', 'drag', 'dragShape',
    'dragStart', 'drop', 'editRangeBegin', 'editRangeComplete', 'keyDown',
    'keyUp', 'load', 'loadComplete', 'menuClick', 'onImport',
    'openFailure', 'pagerClick', 'resizeStart', 'resizeEnd', 'ribbonClick',
    'seriesRendering', 'tabClick', 'tabSelect'
];
var ComplexProperties = ['autoFillSettings', 'chartSettings', 'exportSettings', 'formatSettings', 'importSettings',
    'pictureSettings', 'printSettings', 'ribbonSettings', 'scrollSettings', 'selectionSettings',
    'ribbonSettings.applicationTab', 'ribbonSettings.applicationTab.menuSettings'];
var Inputs = core_1.Utils.AngularizeInputs(['activeSheetIndex', 'allowAutoCellType', 'allowAutoFill', 'allowAutoSum', 'allowCellFormatting',
    'allowCellType', 'allowCharts', 'allowClear', 'allowClipboard', 'allowComments',
    'allowConditionalFormats', 'allowDataValidation', 'allowDelete', 'allowDragAndDrop', 'allowEditing',
    'allowFiltering', 'allowFormatAsTable', 'allowFormatPainter', 'allowFormulaBar', 'allowFreezing',
    'allowHyperlink', 'allowImport', 'allowInsert', 'allowKeyboardNavigation', 'allowLockCell',
    'allowMerging', 'allowOverflow', 'allowResizing', 'allowSearching', 'allowSelection',
    'allowSorting', 'allowUndoRedo', 'allowWrap', 'apWidth', 'autoFillSettings',
    'chartSettings', 'columnCount', 'columnWidth', 'cssClass', 'customFormulas',
    'enableContextMenu', 'enablePivotTable', 'enableTouch', 'exportSettings', 'formatSettings',
    'importSettings', 'isReadOnly', 'locale', 'pictureSettings', 'printSettings',
    'ribbonSettings', 'rowCount', 'rowHeight', 'scrollSettings', 'selectionSettings',
    'sheetCount', 'showPager', 'showRibbon', 'undoRedoStep', 'userName',
    'autoFillSettings.fillType', 'autoFillSettings.showFillOptions', 'chartSettings.height', 'chartSettings.width', 'exportSettings.allowExporting',
    'exportSettings.csvUrl', 'exportSettings.excelUrl', 'exportSettings.password', 'exportSettings.pdfUrl', 'formatSettings.allowCellBorder',
    'formatSettings.allowDecimalPlaces', 'formatSettings.allowFontFamily', 'importSettings.importMapper', 'importSettings.importOnLoad', 'importSettings.importUrl',
    'importSettings.password', 'pictureSettings.allowPictures', 'pictureSettings.height', 'pictureSettings.width', 'printSettings.allowPageSetup',
    'printSettings.allowPageSize', 'printSettings.allowPrinting', 'ribbonSettings.applicationTab', 'ribbonSettings.applicationTab.type', 'ribbonSettings.applicationTab.menuSettings',
    'scrollSettings.allowScrolling', 'scrollSettings.allowSheetOnDemand', 'scrollSettings.allowVirtualScrolling', 'scrollSettings.height', 'scrollSettings.isResponsive',
    'scrollSettings.scrollMode', 'scrollSettings.width', 'selectionSettings.activeCell', 'selectionSettings.animationTime', 'selectionSettings.enableAnimation',
    'selectionSettings.selectionType', 'selectionSettings.selectionUnit', 'sheets', 'sheets.rows.cells'], []);
exports.SpreadsheetComponent = core_1.CreateComponent('Spreadsheet', {
    selector: 'ej-spreadsheet',
    inputs: Inputs,
    outputs: Outputs,
    template: '',
    queries: {
        _sheets: new core_1.ContentChild(exports.SpreadsheetSheetsDirective),
    }
}, {
    tags: ['sheets'],
    twoways: [],
    complexes: ComplexProperties,
});
exports.EJ_SPREADSHEET_COMPONENTS = [exports.SpreadsheetComponent, exports.SpreadsheetRangeSettingsDirective, exports.SpreadsheetSheetsDirective, exports.SpreadsheetRangeSettingDirective, exports.SpreadsheetSheetDirective];
//# sourceMappingURL=spreadsheet.component.js.map