"use strict";
var core_1 = require("./core");
var TreeMapLevelInputs = core_1.Utils.AngularizeInputs(['groupBackground', 'groupBorderColor', 'groupBorderThickness', 'groupGap', 'groupPadding',
    'groupPath', 'headerHeight', 'headerTemplate', 'headerVisibilityMode', 'labelPosition',
    'labelTemplate', 'labelVisibilityMode', 'showHeader', 'showLabels'], []);
exports.TreeMapLevelDirective = core_1.CreateComplexDirective({
    selector: 'e-levels>e-level',
    inputs: TreeMapLevelInputs,
    queries: {}
}, {
    tags: [],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.TreeMapComponent; })
});
exports.TreeMapLevelsDirective = core_1.CreateArrayTagDirective('levels', 'ej-treemap>e-levels', exports.TreeMapLevelDirective);
var TreeMapRangeColorInputs = core_1.Utils.AngularizeInputs(['color', 'gradientColors', 'from', 'legendLabel', 'to'], []);
exports.TreeMapRangeColorDirective = core_1.CreateComplexDirective({
    selector: 'e-rangecolormapping>e-rangecolor',
    inputs: TreeMapRangeColorInputs,
    queries: {}
}, {
    tags: [],
    complexes: [],
    type: core_1.forwardRef(function () { return exports.TreeMapComponent; })
});
exports.TreeMapRangeColorMappingDirective = core_1.CreateArrayTagDirective('rangeColorMapping', 'ej-treemap>e-rangecolormapping', exports.TreeMapRangeColorDirective);
var Outputs = ['treeMapItemSelected',
    'model.dataSourceChange: dataSourceChange', 'model.weightValuePathChange: weightValuePathChange'];
var ComplexProperties = ['uniColorMapping', 'desaturationColorMapping', 'paletteColorMapping', 'legendSettings', 'leafItemSettings'];
var Inputs = core_1.Utils.AngularizeInputs(['borderBrush', 'borderThickness', 'uniColorMapping', 'desaturationColorMapping', 'paletteColorMapping',
    'colorValuePath', 'dockPosition', 'drillDownHeaderColor', 'drillDownSelectionColor', 'isHierarchicalDatasource',
    'header', 'enableDrillDown', 'isResponsive', 'enableResize', 'draggingOnSelection',
    'draggingGroupOnSelection', 'legendSettings', 'highlightBorderBrush', 'highlightBorderThickness', 'highlightGroupBorderBrush',
    'highlightGroupBorderThickness', 'highlightGroupOnSelection', 'highlightOnSelection', 'itemsLayoutMode', 'leafItemSettings',
    'selectionMode', 'groupSelectionMode', 'showLegend', 'enableGradient', 'showTooltip',
    'tooltipTemplate', 'treeMapItems', 'uniColorMapping.color', 'desaturationColorMapping.to', 'desaturationColorMapping.color',
    'desaturationColorMapping.from', 'desaturationColorMapping.rangeMaximum', 'desaturationColorMapping.rangeMinimum', 'paletteColorMapping.colors', 'legendSettings.height',
    'legendSettings.width', 'legendSettings.iconHeight', 'legendSettings.iconWidth', 'legendSettings.template', 'legendSettings.mode',
    'legendSettings.title', 'legendSettings.leftLabel', 'legendSettings.rightLabel', 'legendSettings.dockPosition', 'legendSettings.alignment',
    'legendSettings.columnCount', 'leafItemSettings.borderBrush', 'leafItemSettings.borderThickness', 'leafItemSettings.itemTemplate', 'leafItemSettings.labelPath',
    'leafItemSettings.labelPosition', 'leafItemSettings.labelVisibilityMode', 'leafItemSettings.showLabels', 'groupColorMapping', 'rangeColorMapping',
    'levels'], ['dataSource', 'weightValuePath']);
exports.TreeMapComponent = core_1.CreateComponent('TreeMap', {
    selector: 'ej-treemap',
    inputs: Inputs,
    outputs: Outputs,
    template: '',
    queries: {
        _levels: new core_1.ContentChild(exports.TreeMapLevelsDirective),
        _rangeColorMapping: new core_1.ContentChild(exports.TreeMapRangeColorMappingDirective),
    }
}, {
    tags: ['levels', 'rangeColorMapping'],
    twoways: ['dataSource', 'weightValuePath'],
    complexes: ComplexProperties,
});
exports.EJ_TREEMAP_COMPONENTS = [exports.TreeMapComponent, exports.TreeMapLevelsDirective, exports.TreeMapRangeColorMappingDirective, exports.TreeMapLevelDirective, exports.TreeMapRangeColorDirective];
//# sourceMappingURL=treemap.component.js.map